Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.sw
Class Statement_Special

    java.lang.Object
      rdlc.rdl.Field_Named
          rdlc.sw.Field_Base
              rdlc.sw.Statement
                  rdlc.sw.Statement_Expr
                      rdlc.sw.Statement_Special

All Implemented Interfaces:
  Expression, Field

    public class Statement_Special

extends Statement_Expr

A special statement, such as a return or throw. This may include an expression which needs to be evaluated.

Version:
  $Revision: 1.8 $
Author:
  Greg Gibeling

Nested Class Summary
`static class` | `Statement_Special.Type` Iterator of all the special statements.

Nested classes/interfaces inherited from interface rdlc.sw.Field
`Field.Access`

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Field Summary
`protected Statement_Special.Type` | `specialType` The type of this statement.

Fields inherited from class rdlc.sw.Statement_Expr
`rVal`

Fields inherited from class rdlc.sw.Field_Base
`access`

Fields inherited from class rdlc.rdl.Field_Named
`iName, instance, namespace, rawDynamicID`

Constructor Summary
`Statement_Special(Instance _instance, Statement_Special.Type _specialType, Expression _rVal)` Simple constructor, merely records its arguments.

Method Summary
`Statement_Special.Type` | `getSpecialType()` Simple accessor.
`java.lang.String` | `toString()` Simple accessor.

Methods inherited from class rdlc.sw.Statement_Expr
`copy, getRValue`

Methods inherited from class rdlc.sw.Field_Base
`getAccess`

Methods inherited from class rdlc.rdl.Field_Named
`getIdentifier, getRawDynamicID, getRequirements, resolve, setInstance, setNamespace, setRawDynamicID, typeMatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface rdlc.rdl.Field
`getIdentifier, setInstance, setRawDynamicID`

Methods inherited from interface rdlc.rdl.Expression
`getRequirements, resolve, setNamespace, typeMatch`

Field Detail

### specialType

    protected Statement_Special.Type specialType

  The type of this statement.

Constructor Detail

### Statement_Special

    public Statement_Special(Instance _instance,
                             Statement_Special.Type _specialType,
                             Expression _rVal)

  Simple constructor, merely records its arguments.

  Parameters:
    `_instance` - The instance to add this statement to.
    `_specialType` - The type of this statement.
    `_rVal` - The expression this statement will evaluate.

Method Detail

### toString

    public java.lang.String toString()

  Simple accessor.

  Overrides:
    `toString` in class `Statement_Expr`
  Returns:
    A human readable representation of this statement for debugging.

### getSpecialType

    public Statement_Special.Type getSpecialType()

  Simple accessor.

  Returns:
    The type of this statement.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD